Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.dropboxmq.messageproducers
Class TopicPublisherImpl

    java.lang.Object
      net.sf.dropboxmq.messageproducers.MessageProducerImpl
          net.sf.dropboxmq.messageproducers.TopicPublisherImpl

All Implemented Interfaces:
  MessageProducer, TopicPublisher

    public class TopicPublisherImpl

extends MessageProducerImpl
implements TopicPublisher

Created: 10 Mar 2006

Version:
  $Revision: 211 $, $Date: 2010-11-14 14:21:24 -0700 (Sun, 14 Nov 2010) $
Author:
  Dwayne Schultz

Constructor Summary
`TopicPublisherImpl(SessionImpl session, Destination defaultDestination)`

Method Summary
`Topic` | `getTopic()` Gets the topic associated with this `TopicPublisher`.
`void` | `publish(Message message)` Publishes a message to the topic.
`void` | `publish(Message message, int deliveryMode, int priority, long timeToLive)` Publishes a message to the topic, specifying delivery mode, priority, and time to live.
`void` | `publish(Topic topic, Message message)` Publishes a message to a topic for an unidentified message producer.
`void` | `publish(Topic topic, Message message, int deliveryMode, int priority, long timeToLive)` Publishes a message to a topic for an unidentified message producer, specifying delivery mode, priority and time to live.

Methods inherited from class net.sf.dropboxmq.messageproducers.MessageProducerImpl
`close, getDeliveryMode, getDeliveryModeString, getDestination, getDisableMessageID, getDisableMessageTimestamp, getPriority, getTimeToLive, send, send, send, send, setDeliveryMode, setDisableMessageID, setDisableMessageTimestamp, setPriority, setTimeToLive, toObjectString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.jms.MessageProducer
`close, getDeliveryMode, getDestination, getDisableMessageID, getDisableMessageTimestamp, getPriority, getTimeToLive, send, send, send, send, setDeliveryMode, setDisableMessageID, setDisableMessageTimestamp, setPriority, setTimeToLive`

Constructor Detail

### TopicPublisherImpl

    public TopicPublisherImpl(SessionImpl session,
                              Destination defaultDestination)

Method Detail

### getTopic

    public Topic getTopic()
                   throws JMSException

  Description copied from interface: `javax.jms.TopicPublisher`
  Gets the topic associated with this `TopicPublisher`.

  Specified by:
    `getTopic` in interface `TopicPublisher`
  Returns:
    this publisher's topic
  Throws:
    `JMSException` - if the JMS provider fails to get the topic for this `TopicPublisher` due to some internal error.

### publish

    public void publish(Message message)
                 throws JMSException

  Description copied from interface: `javax.jms.TopicPublisher`
  Publishes a message to the topic. Uses the `TopicPublisher`'s default delivery mode, priority, and time to live.

  Specified by:
    `publish` in interface `TopicPublisher`
  Parameters:
    `message` - the message to publish
  Throws:
    `JMSException` - if the JMS provider fails to publish the message due to some internal error.
    `MessageFormatException` - if an invalid message is specified.
  See Also:
    `MessageProducer.getDeliveryMode()`, `MessageProducer.getTimeToLive()`, `MessageProducer.getPriority()`

### publish

    public void publish(Message message,
                        int deliveryMode,
                        int priority,
                        long timeToLive)
                 throws JMSException

  Description copied from interface: `javax.jms.TopicPublisher`
  Publishes a message to the topic, specifying delivery mode, priority, and time to live.

  Specified by:
    `publish` in interface `TopicPublisher`
  Parameters:
    `message` - the message to publish
    `deliveryMode` - the delivery mode to use
    `priority` - the priority for this message
    `timeToLive` - the message's lifetime (in milliseconds)
  Throws:
    `JMSException` - if the JMS provider fails to publish the message due to some internal error.
    `MessageFormatException` - if an invalid message is specified.

### publish

    public void publish(Topic topic,
                        Message message)
                 throws JMSException

  Description copied from interface: `javax.jms.TopicPublisher`
  Publishes a message to a topic for an unidentified message producer. Uses the `TopicPublisher`'s default delivery mode, priority, and time to live.

  Typically, a message producer is assigned a topic at creation time; however, the JMS API also supports unidentified message producers, which require that the topic be supplied every time a message is published.

  Specified by:
    `publish` in interface `TopicPublisher`
  Parameters:
    `topic` - the topic to publish this message to
    `message` - the message to publish
  Throws:
    `JMSException` - if the JMS provider fails to publish the message due to some internal error.
    `MessageFormatException` - if an invalid message is specified.
  See Also:
    `MessageProducer.getDeliveryMode()`, `MessageProducer.getTimeToLive()`, `MessageProducer.getPriority()`

### publish

    public void publish(Topic topic,
                        Message message,
                        int deliveryMode,
                        int priority,
                        long timeToLive)
                 throws JMSException

  Description copied from interface: `javax.jms.TopicPublisher`
  Publishes a message to a topic for an unidentified message producer, specifying delivery mode, priority and time to live.

  Typically, a message producer is assigned a topic at creation time; however, the JMS API also supports unidentified message producers, which require that the topic be supplied every time a message is published.

  Specified by:
    `publish` in interface `TopicPublisher`
  Parameters:
    `topic` - the topic to publish this message to
    `message` - the message to publish
    `deliveryMode` - the delivery mode to use
    `priority` - the priority for this message
    `timeToLive` - the message's lifetime (in milliseconds)
  Throws:
    `JMSException` - if the JMS provider fails to publish the message due to some internal error.
    `MessageFormatException` - if an invalid message is specified.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD